## ros-rolling-launch-testing-ros 0.17.0

=== debian/changelog ===
ros-rolling-launch-testing-ros (0.17.0-1focal) focal; urgency=high

  * Revert WaitForTopics (#288 <https://github.com/ros2/launch_ros/issues/288>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 14 Dec 2021 05:00:00 -0000

ros-rolling-launch-testing-ros (0.16.0-1focal) focal; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Move pytest entrypoints to own module (#278 <https://github.com/ros2/launch_ros/issues/278>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Check that future is done, and always call rclpy.shutdown (#273 <https://github.com/ros2/launch_ros/issues/273>)
  * Revert "launch testing : Wait for topics to publish (#274 <https://github.com/ros2/launch_ros/issues/274>)" (#276 <https://github.com/ros2/launch_ros/issues/276>)
  * Contributors: Audrow Nash, Jorge Perez, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 29 Nov 2021 05:00:00 -0000

ros-rolling-launch-testing-ros (0.15.0-1focal) focal; urgency=high

  * Add WaitForTopics utility for waiting on publishers (#274 <https://github.com/ros2/launch_ros/issues/274>)
  * Remove unused code, Future.result() already raises (#270 <https://github.com/ros2/launch_ros/issues/270>)
  * Add timeout to wait for service response in example (#271 <https://github.com/ros2/launch_ros/issues/271>)
  * Add examples (#263 <https://github.com/ros2/launch_ros/issues/263>)
  * Contributors: Aditya Pande, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Oct 2021 04:00:00 -0000

ros-rolling-launch-testing-ros (0.14.2-1focal) focal; urgency=high

  * Use underscores in setup.cfg instead of dashes. (#227 <https://github.com/ros2/launch_ros/issues/227>)
  * Contributors: Mike Purvis

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Apr 2021 04:00:00 -0000

ros-rolling-launch-testing-ros (0.14.1-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Apr 2021 04:00:00 -0000

ros-rolling-launch-testing-ros (0.14.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 04:00:00 -0000

ros-rolling-launch-testing-ros (0.13.0-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Jan 2021 05:00:00 -0000

ros-rolling-launch-testing-ros (0.12.0-1focal) focal; urgency=high

  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
  * Move Pete to author, per clalancette
  * Update the package.xml files with the latest Open Robotics maintainers
  * Add pytest.ini so local tests don't display warning (#152 <https://github.com/ros2/launch_ros/issues/152>)
  * Contributors: Chris Lalancette, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 05:00:00 -0000

ros-rolling-launch-testing-ros (0.10.2-1focal) focal; urgency=high

  * Call LaunchROSTestModule with the new API. (#150 <https://github.com/ros2/launch_ros/issues/150>)
  * Contributors: Chris Lalancette

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 04:00:00 -0000

ros-rolling-launch-testing-ros (0.10.1-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 May 2020 04:00:00 -0000

ros-rolling-launch-testing-ros (0.10.0-1focal) focal; urgency=high

  * Deprecated 'node_executable' parameter and replace with 'executable' (#140 <https://github.com/ros2/launch_ros/issues/140>)
  * Avoid deprecation warning, use from_parent (#141 <https://github.com/ros2/launch_ros/issues/141>)
  * Show error strings as part of the flake8 test (#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Remove unused 'launch' import (#133 <https://github.com/ros2/launch_ros/issues/133>)
  * Enable implicit ROS startup by launch_ros actions  (#128 <https://github.com/ros2/launch_ros/issues/128>)
  * Fix launch_testing_ros example (#121 <https://github.com/ros2/launch_ros/issues/121>)
  * Contributors: Dirk Thomas, Jacob Perron, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 Apr 2020 04:00:00 -0000

ros-rolling-launch-testing-ros (0.9.4-1focal) focal; urgency=high

  * fix new linter warnings as of flake8-comprehensions 3.1.0 (#94 <https://github.com/ros2/launch_ros/issues/94>)
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 19 Nov 2019 05:00:00 -0000

ros-rolling-launch-testing-ros (0.9.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 05:00:00 -0000

ros-rolling-launch-testing-ros (0.9.2-1focal) focal; urgency=high

  * Remove self.proc_output and ready_fn (#90 <https://github.com/ros2/launch_ros/issues/90>)
  * Add support for launching nodes not in a package (#82 <https://github.com/ros2/launch_ros/issues/82>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 04:00:00 -0000

ros-rolling-launch-testing-ros (0.9.1-1focal) focal; urgency=high

  * Make launch_testing_ros examples standalone. (#80 <https://github.com/ros2/launch_ros/issues/80>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Sat, 28 Sep 2019 04:00:00 -0000

ros-rolling-launch-testing-ros (0.9.0-1focal) focal; urgency=high

  * install package manifest (#71 <https://github.com/ros2/launch_ros/issues/71>)
  * Do not import rclpy nor launch_ros at module level. (#69 <https://github.com/ros2/launch_ros/issues/69>)
  * Unindent setup.cfg options. (#66 <https://github.com/ros2/launch_ros/issues/66>)
  * Support launch_ros test runner in pytest (#54 <https://github.com/ros2/launch_ros/issues/54>)
  * Contributors: Dirk Thomas, Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 25 Sep 2019 04:00:00 -0000

ros-rolling-launch-testing-ros (0.8.4-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Thu, 30 May 2019 04:00:00 -0000


