=== debian/control ===
Source: ros-rolling-launch-testing-ros
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-std-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-launch-testing-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-launch-ros, ros-rolling-launch-testing, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: A package providing utilities for writing ROS2 enabled launch tests.
