## ros-rolling-launch-testing-ros 0.26.2

=== debian/changelog ===
ros-rolling-launch-testing-ros (0.26.2-1jammy) jammy; urgency=high

  * Handle spin() ExternalShutdownException. (#378 <https://github.com/ros2/launch_ros/issues/378>)
  * Increase the timeout in wait_for_topic_launch_test. (#377 <https://github.com/ros2/launch_ros/issues/377>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.26.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.26.0-1jammy) jammy; urgency=high

  * WaitForTopics: get content of messages for each topic (#353 <https://github.com/ros2/launch_ros/issues/353>)
  * Contributors: Giorgio Pintaudi

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.24.0-1jammy) jammy; urgency=high

  * Increase the timeouts in wait_for_topic_launch_test. (#360 <https://github.com/ros2/launch_ros/issues/360>)
  * Enable document generation using rosdoc2 (#359 <https://github.com/ros2/launch_ros/issues/359>)
  * exit() methods should not reraise the passed-in exception (#357 <https://github.com/ros2/launch_ros/issues/357>)
  * Contributors: Chris Lalancette, Giorgio Pintaudi, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.23.0-1jammy) jammy; urgency=high

  * Inherit markers from generate_test_description (#330 <https://github.com/ros2/launch_ros/issues/330>)
  * [rolling] Update maintainers - 2022-11-07 (#331 <https://github.com/ros2/launch_ros/issues/331>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch-testing-ros (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.20.0-1jammy) jammy; urgency=high

  * Fix long wait during shutdown in WaitForTopics (#314 <https://github.com/ros2/launch_ros/issues/314>)
  * Contributors: Keng12

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.19.2-1jammy) jammy; urgency=high

  * Add hz param to talker.py to fix wait_for_topic_launch_test (#309 <https://github.com/ros2/launch_ros/issues/309>)
  * Contributors: Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.19.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing-ros (0.17.0-1jammy) jammy; urgency=high

  * Revert WaitForTopics (#288 <https://github.com/ros2/launch_ros/issues/288>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.16.0-1jammy) jammy; urgency=high

  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Move pytest entrypoints to own module (#278 <https://github.com/ros2/launch_ros/issues/278>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Check that future is done, and always call rclpy.shutdown (#273 <https://github.com/ros2/launch_ros/issues/273>)
  * Revert "launch testing : Wait for topics to publish (#274 <https://github.com/ros2/launch_ros/issues/274>)" (#276 <https://github.com/ros2/launch_ros/issues/276>)
  * Contributors: Audrow Nash, Jorge Perez, Michel Hidalgo, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.15.0-1jammy) jammy; urgency=high

  * Add WaitForTopics utility for waiting on publishers (#274 <https://github.com/ros2/launch_ros/issues/274>)
  * Remove unused code, Future.result() already raises (#270 <https://github.com/ros2/launch_ros/issues/270>)
  * Add timeout to wait for service response in example (#271 <https://github.com/ros2/launch_ros/issues/271>)
  * Add examples (#263 <https://github.com/ros2/launch_ros/issues/263>)
  * Contributors: Aditya Pande, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Oct 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.14.2-1jammy) jammy; urgency=high

  * Use underscores in setup.cfg instead of dashes. (#227 <https://github.com/ros2/launch_ros/issues/227>)
  * Contributors: Mike Purvis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.14.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-launch-testing-ros (0.12.0-1jammy) jammy; urgency=high

  * Merge pull request #183 <https://github.com/ros2/launch_ros/issues/183> from ros2/update-maintainers
  * Move Pete to author, per clalancette
  * Update the package.xml files with the latest Open Robotics maintainers

